import {
  select,
  csv,
  scaleLinear,
  extent,
  axisLeft,
  axisBottom,
  format
} from 'd3';
import {dropdownMenu} from './dropdownMenu';
import {scatterPlot} from './scatterPlot';



const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


let data;
let yColumn;
let xColumn;
const onXColumnClicked=column=>{xColumn=column;render();};
const onYColumnClicked=column=>{yColumn=column;render();};


const render = () => {
  
select('#x-menu').call(
dropdownMenu,{options:data.columns,onOptionClicked: onXColumnClicked            
  });
  
  select('#y-menu').call(
dropdownMenu,{options:data.columns,onOptionClicked: onYColumnClicked            
  });
  
  
  svg.call(scatterPlot, {
  xValue: d => d[xColumn],
  xAxisLabel:xColumn,
  yValue: d => d[yColumn],
  circleRadius: 9,
  yAxisLabel: yColumn,
  margin: { top: 60, right: 40, bottom: 88, left: 150 },
                         width,height,data
                       });
  // const title = "United States: Revenue from taxes since 1800";
};

csv('https://vizhub.com/MukundKhandelwal/datasets/us_scatterplot.csv')
  .then(loadedData => {
   data=loadedData;
    data.forEach(d => {
      d.year = +d.year;
      d.revenue = +d.revenue;
      d.expenditure = +d.expenditure;
      d.gdp = +d.gdp;
      d.debt = +d.debt;  
    });
  xColumn=data.columns[0];
  yColumn=data.columns[0];
    render();
  });